ENV["MPLCONFIGDIR"] = dirname(@__DIR__)
using PyPlot; const plt = PyPlot
@info "Config file $(matplotlib.matplotlib_fname())"

rc("svg",fonttype="none")
top,bottom,left,right = 0.97,0.12,0.22,0.99

linspace(x,y,z) = range(x,y,length=z)

fig = plt.figure()
fig.set_size_inches(3.487/2.5,3.487/1.618/2.5)
subplots_adjust(top=top,bottom=bottom,left=left,right=right)

tick_params(axis="both", which="major", labelsize=6)
tick_params(axis="both", which="minor", labelsize=6)

XLIM = (0,0.3)
YLIM = (-3,0.5)

xlim(0,1.5)
ylim(-2,1)

xticks([0,1,2])
yticks([0,-1,+1,-2])

xlabel(L"\phi^r_{2}")
ylabel(L"E")

Ix,Iy,Iz = 1,1,1
gx,gy,gz = 3,2,1

### z direction
# a=+1
r = collect(0:0.01:3)
φz1 = Iz/gz .+ r
Ez1 = Iz^2/2/gz .+ r*Iz
φz2 = collect(0:0.01:Iz/gz)
Ez2 = gz*φz2.^2 ./2
plt.plot(φz1,Ez1,"-r")
plt.plot(φz2,Ez2,"-r")
plt.plot(maximum(φz2),maximum(Ez2),".r")
# a=-1
φz = collect(0:0.01:4)
Ez = -Iz^2/2/gz .- Iz*φz
plt.plot(φz,Ez,"-r")
# a = +1 that line
ϕ3 = collect(0:0.01:1/gz-1/gy)#Iz^2/gz-Ix^2/gx)
Ez3 = -Iz^2/2/gz .+ Iz*ϕ3
plt.plot(ϕ3,Ez3,"-r")
#Ez1 = Iz^2/2/gz + r*Iz

savefig("$(@__DIR__)/fig2b.svg")
