ENV["MPLCONFIGDIR"] = dirname(@__DIR__)
using PyPlot; const plt = PyPlot
@info "Config file $(matplotlib.matplotlib_fname())"

rc("svg",fonttype="none")
top,bottom,left,right = 0.97,0.12,0.22,0.99

fig = plt.figure(figsize=(0.1,4))
fig.set_size_inches(3.487/2.5,3.487/1.618/2.5)
subplots_adjust(top=top,bottom=bottom,left=left,right=right)

tick_params(axis="both", which="major", labelsize=6)
tick_params(axis="both", which="minor", labelsize=6)

XLIM = (0,0.3)
YLIM = (-3,0.5)

xlim(0,1.5)
ylim(-2,1)

xticks([0,1,2])
yticks([0,-1,+1,-2])

xlabel(L"\phi^r_{3}")
ylabel(L"E")

Ix,Iy,Iz = 1,1,1
gx,gy,gz = 3,2,1

### y direction
# a=+1
r = collect(0:0.01:3)
φy1 = Iy/gy .+ r
Ey1 = Iy^2/2/gy .+ Iy*r
φy2 = collect(0:0.01:Iy/gy)
Ey2 = gy*φy2.^2/2
plt.plot(φy1,Ey1,"-r")
plt.plot(φy2,Ey2,"-r")
plt.plot(maximum(φy2),maximum(Ey2),".r")
# a=-1
r = collect(Iz^2/gz/Iy:0.01:7)
φy1 = r .- Iy/gy
Ey1 = Iy^2/2/gy .- Iy*r
φy2 = collect(0:0.01:Iz/gz/Iy - Iy/gy)
Ey2 = - Iz^2/2/gz .- 1/2*Iy^2/(Iz^2/gz - Iy^2/gy)*φy2.^2
plt.plot(φy1,Ey1,"-r")
plt.plot(φy2,Ey2,"-r")
plt.plot(maximum(φy2),minimum(Ey2),".r")

savefig("$(@__DIR__)/fig2c.svg")
