using DelimitedFiles
ENV["MPLCONFIGDIR"] = dirname(@__DIR__)
using PyPlot; const plt = PyPlot
@info "Config file $(matplotlib.matplotlib_fname())"

rc("svg",fonttype="none")
top,bottom,left,right = 0.97,0.12,0.22,0.99

linspace(x,y,z) = range(x,y,length=z)

# Variables used in the dataset
gx,gy,gz = 3,2,1
Cx,Cy,Cz = (1,1,1).*100
αx,αy,αz = (1,1,1)

#NLEVELS = 300
FMT = "-"
COLOR = "cadetblue"

fig = figure()
fig.set_size_inches(3.487/3,3.487/1.618)
subplots_adjust(top=top,bottom=bottom,left=left,right=right)

tick_params(axis="both", which="major", labelsize=6)
tick_params(axis="both", which="minor", labelsize=6)

xticks([0,0.5,1])
#yticks([-1,0])

xlim(0,1)
ylim(-1.5,+0.5)

data = readdlm("$(@__DIR__)/fig3a.dat", '\t', Float64, '\n')
ϕ = data[:,1]
E = data[:,2:end]

for i in 1:size(E,2) #(isnan(NLEVELS) ? length(Ei[:,1]) : NLEVELS)
    plot(ϕ,E[:,i],FMT,color=COLOR,lw=0.25)
end

### Quasicalssical plot in easy direction
### Quasicalssical plot
Ix,Iy,Iz = αx,αy,αz
# a=+1
r = collect(0:0.01:3)
φz1 = Iz/gz .+ r
Ez1 = Iz^2/2/gz .+ r*Iz
φz2 = collect(0:0.01:Iz/gz)
Ez2 = gz*φz2.^2 ./2
plt.plot(φz1,Ez1,"-r")
plt.plot(φz2,Ez2,"-r")
#plt.plot(maximum(φz2),maximum(Ez2),".r")
# a=-1
φz = collect(0:0.01:4)
Ez = -Iz^2/2/gz .- Iz*φz
plt.plot(φz,Ez,"-r")
# a = +1 that line
ϕ3 = collect(0:0.01:Iz^2/gz-Ix^2/gy)
Ez3 = -Iz^2/2/gz .+ Iz*ϕ3
plt.plot(ϕ3,Ez3,"-r")#
plt.plot(maximum(ϕ3),maximum(Ez3),".r")


ylabel(L"E/2E_B")
xlabel(L"\phi^r_1/\phi_0")

savefig("$(@__DIR__)/fig3a.svg")
