using DelimitedFiles
ENV["MPLCONFIGDIR"] = dirname(@__DIR__)
using PyPlot; const plt = PyPlot
@info "Config file $(matplotlib.matplotlib_fname())"

rc("svg",fonttype="none")
top,bottom,left,right = 0.97,0.12,0.22,0.99

linspace(x,y,z) = range(x,y,length=z)

fig = figure()
fig.set_size_inches(3.487/3,3.487/1.618)
subplots_adjust(top=top,bottom=bottom,left=left,right=right)

data = readdlm("$(@__DIR__)/fig3c.dat", '\t', Float64, '\n')
Q = data[:,1]
ΔEx = data[:,2]
ΔEy = data[:,3]
ΔEz = data[:,4]


plot(Q,-ΔEz,"-",lw=1,color="cadetblue")
plot(Q,-ΔEy,"-",lw=1,color="firebrick")
plot(Q,-ΔEx,"-",lw=1,color="firebrick")

plot([],[],"-",lw=1,color="cadetblue",label="easy")
plot([],[],"-",lw=1,color="firebrick",label="hard")


tick_params(axis="both", which="major", labelsize=6)
tick_params(axis="both", which="minor", labelsize=6)

yticks([0,0.5,+1])

xlabel(L"\mathcal{Q}")
ylabel(L"\frac{\hbar I}{2 e} \frac{dE}{d\phi^r}")

ylim(0,1)

savefig("$(@__DIR__)/fig3c.svg")
