using DelimitedFiles
ENV["MPLCONFIGDIR"] = dirname(@__DIR__)
using PyPlot; const plt = PyPlot
@info "Config file $(matplotlib.matplotlib_fname())"

rc("svg",fonttype="none")
top,bottom,left,right = 0.97,0.12,0.22,0.99

NLEVELS = 5
N = 300
ΔN = 10
N = N-ΔN,N,N+ΔN

fig = figure(figsize=(0.1,4))
fig.set_size_inches(3.487/3,3.487/1.618)
subplots_adjust(top=top,bottom=bottom,left=left,right=right)

tick_params(axis="both", which="major", labelsize=6)
tick_params(axis="both", which="minor", labelsize=6)

xticks([0,0.1])
yticks([-0.2,-0.1,0])

xlim(0,0.2)
ylim(-0.2,0)

FMT = "-"
AXIS = "x"
COLOR = "cadetblue"


data = readdlm("$(@__DIR__)/fig4a.dat", '\t', Float64, '\n')
ϕ = data[:,1]
Ei = data[:,2:end]

absϕ = ϕ 
El = []

### -1/2 is the plasma energy. Thus whoole spectrum is shifted making it a new 0.
for i in 1:(isnan(NLEVELS) ? length(Ei[:,1]) : NLEVELS)
    plt.plot(absϕ,Ei[:,i] .+ 1/2,FMT,color=COLOR,lw=1)
end

x = collect(0:0.01:0.2)
y = -1/2 .- x .+ 1/2
fill_between(x,y,0,color="cadetblue",lw=0)


xlabel(L"p^T_1/p_0")
ylabel(L"E/2E_B")

savefig("$(@__DIR__)/fig4a.svg")
