using DelimitedFiles
ENV["MPLCONFIGDIR"] = dirname(@__DIR__)
using PyPlot; const plt = PyPlot
@info "Config file $(matplotlib.matplotlib_fname())"

rc("svg",fonttype="none")
top,bottom,left,right = 0.97,0.12,0.22,0.99

NLEVELS = 5
N = 300
ΔN = 10
N = N-ΔN,N,N+ΔN

fig = figure(figsize=(0.1,4))
fig.set_size_inches(3.487/3,3.487/1.618)
subplots_adjust(top=top,bottom=bottom,left=left,right=right)

tick_params(axis="both", which="major", labelsize=6)
tick_params(axis="both", which="minor", labelsize=6)

xticks([0,0.1,0.2])
yticks([-0.2,-0.1,0])

xlim(0,0.2)
ylim(-0.2,0)

FMT = "-"
AXIS = "y"
COLOR = "firebrick"

data = readdlm("$(@__DIR__)/fig4b.dat", '\t', Float64, '\n')
ϕ = data[:,1]
Ei = data[:,2:end]

for i in 1:(isnan(NLEVELS) ? length(Ei[:,1]) : NLEVELS)
    plt.plot(absϕ, Ei[:,i] .+ 1/2,FMT,color=COLOR,lw=1)
end

Ix,Iy,Iz = 0,1,1
gx,gy,gz = 0,2,1

a=-1
r = collect(Iz^2/gz/Iy:0.01:7)
φy1 = r .- Iy/gy
Ey1 = Iy^2/2/gy .- Iy*r
φy2 = collect(0:0.01:Iz/gz/Iy - Iy/gy)
Ey2 = - Iz^2/2/gz .- 1/2*Iy^2/(Iz^2/gz .- Iy^2/gy)*φy2.^2

ϕ = [φy2;φy1]
Ey = [Ey2;Ey1]

fill_between(ϕ, Ey .+ 1/2,0,color="firebrick",lw=0)

xlabel(L"p_2^T/p_0")
ylabel(L"E/2E_B")

savefig("$(@__DIR__)/fig4b.svg")
