using DelimitedFiles
ENV["MPLCONFIGDIR"] = dirname(@__DIR__)
using PyPlot; const plt = PyPlot
@info "Config file $(matplotlib.matplotlib_fname())"

rc("svg",fonttype="none")
top,bottom,left,right = 0.97,0.12,0.22,0.99

fig = plt.figure(figsize=(0.1,4))
fig.set_size_inches(3.487/3,3.487/1.618)
subplots_adjust(top=top,bottom=bottom,left=left,right=right)



data = readdlm("$(@__DIR__)/fig4c.dat", '\t', Float64, '\n')
Q = data[:,1]
DEx = data[:,2:3]
DEy = data[:,4:5]

plt.ylim(0,+1)


plot(Q, -DEx[:,1],"-",lw=1,color="cadetblue")
plot(Q, -DEy[:,1],"-",lw=1,color="firebrick")
#    x = 1 ./αs
#plot(x.^2,DEx,"-",lw=1,color="cadetblue")
#plot(x.^2,DEy,"-",lw=1,color="firebrick")

plot([],[],"-",lw=1,color="cadetblue",label="easy")
plot([],[],"-",lw=1,color="firebrick",label="hard")

#subplots_adjust(left=None, bottom=None, right=None, top=None)

tick_params(axis="both", which="major", labelsize=6)
tick_params(axis="both", which="minor", labelsize=6)

#xticks([0,5])
yticks([0,0.5,+1])
xticks([0,10,20])
xlim(0,20)
#legend(fontsize=6)

xlabel(L"\mathcal{Q}")
ylabel(L"\frac{1}{v} \frac{dE}{dp^T}")

#t = figtext(0.24,0.87,L"\frac{dE}{d\phi}")
#t[:set_bbox](Dict(:facecolor=>"white", :alpha=>0.5,:edgecolor=>"white",:pad=>0))

#t = figtext(0.75,0.1,L"q")
#t[:set_bbox](Dict(:facecolor=>"white", :alpha=>0.5,:edgecolor=>"white",:pad=>0))


savefig("$(@__DIR__)/fig4c.svg")
